#!/bin/csh

# backup v6.0
set dnetdir=/home/groups/home/web/dnet
set imgdir=/home/groups/home/web/
set v60dir=$dnetdir/v60r16

/bin/mkdir -p $v60dir
/bin/mkdir -p $v60dir/page
/bin/mkdir -p $v60dir/help
/bin/mkdir -p $v60dir/local.jp
/bin/mkdir -p $v60dir/data

set module=(dnet.cgi dnreml.cgi dnremlc.cgi dnrich.cgi dnrinfo.cgi dnrrefer.cgi dnrsch.cgi dnruset.cgi xagenda.cgi xagent.cgi xalarm xcabinet.cgi xdoc.cgi xenquete.cgi xforum.cgi xinfo.cgi xkoubai.cgi xmail.cgi xmailsearch xmemp.cgi xpay.cgi xproject.cgi xreminder xreport.cgi xsearch.cgi xstock.cgi xtag.cgi xwmlrecv)
set page=(xagendafolder.html xagendafoldernoframe.html xsetlogin.html xsetsmtp.html xsetusersopt.html xusetusersopt.html)
set help=(docfolderaccess psetindex usetusersopt)
set local=(com message sch set stock uset)

# module move
foreach m($module)
	/bin/mv $dnetdir/$m $v60dir/.
end
foreach p($page)
	/bin/mv $dnetdir/page/$p $v60dir/page/.
end
foreach h($help)
	/bin/mv $dnetdir/help/$h $v60dir/help/.
end
foreach l($local)
	/bin/mv $dnetdir/local.jp/$l $v60dir/local.jp/.
end

# data move
/bin/mkdir -p $v60dir/data/module
/bin/mv $dnetdir/data/version $v60dir/data/.

# image move
#/bin/mkdir -p $v60dir/neoimage/common/orange
#/bin/mv $imgdir/neoimage/common/orange/s_wlinkup.gif $v60dir/neoimage/common/orange/.

# js move
#/bin/mkdir -p $v50dir/neojs
#/bin/mv $imagedir/neojs/agnhtmpt.js $v50dir/neojs/.
#/bin/mv $imagedir/neojs/checkallagenda.js $v50dir/neojs/.
#/bin/mv $imagedir/neojs/entry_editor.js $v50dir/neojs/.
#/bin/mv $imagedir/neojs/gmap.js $v50dir/neojs/.

# compress v60r12
/bin/tar zcvf $dnetdir/v60r16.tar.gz $v60dir
/bin/rm -fr $v60dir

echo "pre-install $$ $0" >> /tmp/install.log
exit 0
